Index: trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs
===================================================================
--- trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 15682)
+++ trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("MinAverageMaxValueAnalyzer", "An operator which analyzes the minimum, average and maximum of a value in the scope tree.")]
-  [StorableClass]
+  [StorableType("D305BB40-F613-4DB5-8778-C0278551CAA3")]
   public sealed class MinAverageMaxValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
@@ -90,5 +90,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private MinAverageMaxValueAnalyzer(bool deserializing) : base(deserializing) { }
+    private MinAverageMaxValueAnalyzer(StorableConstructorFlag _) : base(_) { }
     private MinAverageMaxValueAnalyzer(MinAverageMaxValueAnalyzer original, Cloner cloner)
       : base(original, cloner) {
Index: trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs
===================================================================
--- trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs	(revision 15682)
+++ trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -25,5 +25,5 @@
 using HeuristicLab.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("MinAverageMaxValueCalculator", "An operator which calculates the minimum, average and maximum of a value in the scope tree.")]
-  [StorableClass]
+  [StorableType("C10C55BB-737F-4A0A-BAB0-F3DAC28FBCB8")]
   public sealed class MinAverageMaxValueCalculator : SingleSuccessorOperator {
     public ScopeTreeLookupParameter<DoubleValue> ValueParameter {
@@ -49,5 +49,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private MinAverageMaxValueCalculator(bool deserializing) : base(deserializing) { }
+    private MinAverageMaxValueCalculator(StorableConstructorFlag _) : base(_) { }
     private MinAverageMaxValueCalculator(MinAverageMaxValueCalculator original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs
===================================================================
--- trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs	(revision 15682)
+++ trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -27,5 +27,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("SingleValueAnalyzer", "An operator which analyzes a value in the scope tree (current scope and parents).")]
-  [StorableClass]
+  [StorableType("A732AA1E-A772-44A4-8DD3-9AB3E3A0C546")]
   public sealed class SingleValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
@@ -62,5 +62,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private SingleValueAnalyzer(bool deserializing) : base(deserializing) { }
+    private SingleValueAnalyzer(StorableConstructorFlag _) : base(_) { }
     private SingleValueAnalyzer(SingleValueAnalyzer original, Cloner cloner) : base(original, cloner) { }
     public override IDeepCloneable Clone(Cloner cloner) {
Index: trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs
===================================================================
--- trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 15682)
+++ trunk/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 16565)
@@ -1,5 +1,5 @@
 #region License Information
 /* HeuristicLab
- * Copyright (C) 2002-2018 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ * Copyright (C) 2002-2019 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
  *
  * This file is part of HeuristicLab.
@@ -28,5 +28,5 @@
 using HeuristicLab.Optimization.Operators;
 using HeuristicLab.Parameters;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HEAL.Attic;
 
 namespace HeuristicLab.Analysis {
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("ValueAnalyzer", "An operator which analyzes a value in the scope tree (current scope and children).")]
-  [StorableClass]
+  [StorableType("A906F087-28A5-4E0B-897B-B0FD1B286ACE")]
   public sealed class ValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
@@ -63,5 +63,5 @@
     #region Storing & Cloning
     [StorableConstructor]
-    private ValueAnalyzer(bool deserializing) : base(deserializing) { }
+    private ValueAnalyzer(StorableConstructorFlag _) : base(_) { }
     private ValueAnalyzer(ValueAnalyzer original, Cloner cloner)
       : base(original, cloner) {
